{% extends 'userMenu/base.html' %}

{% block bodyBl%}

<h1>Dashboard</h1>
    <p class="paragraf">Welcome to your dashboard, {{user.login}}</p>

    {% for order in orders %}
    {% if order.status != 5 %}
    <div id="block" style="margin-top: 1%;">
        <p class="orderh2">Order number : {{order.pk}} </p>
        
        {% if order.status == 1 %}
            <p class = "paragraf"> Status: <span style="color: darkblue;"> Created</span></p>
        {% endif %}
        {% if order.status == 2 %}
            <p class = "paragraf"> Status: <span style="color: green;"> Accepted</span></p>
        {% endif %}
        {% if order.status == 3 %}
            <p class = "paragraf"> Status:<span style="color: green;"> Finished</span></p>
        {% endif %}
        {% if order.status == 4 %}
            <p class = "paragraf"> Status:<span style="color: red;"> Canceled</span></p>
        {% endif %}


        <span class = "order-list">List:&emsp; </span>

        {% for item in items %}
        
            {% if item.order == order %}
                <span class = "order-list">{{item}}({{item.quantity}}) / </span>
         
            {% endif %}
        {% endfor %}
        <br>
        <span class="paragraf">Checkout :<span style="color: crimson;">{{ order.total_cost }}</span></span>
    
        {% if order.status == 3 %}
        <br>
        <form style="display: inline;" method="POST" action="{% url 'acpdec' order.id 1%}">
            {% csrf_token %}
            <input type="submit" value="Accept checkout" style="display: inline; background-color: lightgreen;">
        </form>
        <form style="display: inline;" method="POST" action="{% url 'acpdec' order.id 0%}">
            {% csrf_token %}
            <input type="submit" value="Decline checkout" style="display: inline; background-color: lightcoral;">
        </form>
        {% endif %}
    {% endif %}
    </div>
    {% endfor %}
    <hr>
    <p class = "paragraf">Profile Info:</p>
    <hr>
    <span class = "paragraf">Age:&emsp; <i>{{profile.age}}</i></span>
    <br>
    <span class = "paragraf">Phone:&emsp; <i>{{profile.phone}}</i> </span>
    <br>
    <span class = "paragraf">Email:&emsp; <i>{{profile.email}}</i></span>
    <br>
    <span class = "paragraf">Gender:&emsp; <i>{{profile.sex}}</i></span>
    <hr>
    <br>
    <a class="link" style="font-size: 200%;"  href="{% url 'history' %}">Orders history</a>
    <br><br><a class="link" style="font-size: 200%;"  href="{% url 'edit' %}">Edit profile</a>
    <br><a class="link" style="font-size: 200%;" href="{% url 'password_change' %}">Password change</a>
{% endblock %}